<!-- AIR:tour -->

# BCM 10.24.03 Best Practices Lab

The purpose of this AIR lab is to provide a BCM environment with cumulus switches and compute nodes attached to them and demonstrate powerful features of BCM. Therefore it is a self education enviroment as well as a demo enviroment. 

The lab is based on following topology:
![bcm-air-poc](https://gitlab.com/cumulus-consulting/goldenturtle/cumulus-linux-workshop/bcm_air_poc/-/raw/main/bcm-air-poc.svg?ref_type=heads)  

 
## Access credentials for nodes

| Node name       | username  | Password          |
| --------------- | --------- |------------------ |
| oob-mgmt-server | ubuntu    |  bcm-air-poc      |
| leaf01          | cumulus   |  CumulusLinux!    |
| leaf02          | cumulus   |  CumulusLinux!    |
| compute0        | root      |  bcm-air-poc      |
| compute1        | root      |  bcm-air-poc      |
| compute2        | root      |  bcm-air-poc      |
| ubuntu0         | ubuntu    |  nvidia           |
| bcm-headnode0   | root      |  bcm-air-poc      |  

## List of Nodes

| Node name     | interface | IP address        |  MAC address        |
| ------------- | --------- |------------------ |-------------------- |
| ubuntu0       | eth0      |  192.168.200.10   | 44:38:39:22:AA:01   |
| leaf01        | eth0      |  192.168.200.12   | 44:38:39:22:AA:02   |
| leaf02        | eth0      |  192.168.200.13   | 44:38:39:22:AA:03   |
| compute0      | eth0      |  192.168.200.14   | 44:38:39:22:AA:04   |
| compute1      | eth0      |  192.168.200.15   | 44:38:39:22:AA:05   |
| compute2      | eth0      |  192.168.200.16   | 44:38:39:22:AA:06   |
| bcm-headnode0 | eth0      |  192.168.200.254  | random              |


`cmsh` command line arguments to configure the nodes above. This step has already been performed.

```
device
list
device add switch leaf01 192.168.200.12
set mac 44:38:39:22:AA:02
set disablesnmp yes
set hasclientdaemon yes
ztpsettings 
set enableapi yes
commit
```

```
device
list
device add switch leaf02 192.168.200.13
set mac 44:38:39:22:AA:03
set disablesnmp yes
set hasclientdaemon yes
ztpsettings 
set enableapi yes
commit
```

```
device add PhysicalNode compute0 192.168.200.14
set mac 44:38:39:22:AA:04
commit
```

```
device add PhysicalNode compute1 192.168.200.15
set mac 44:38:39:22:AA:05
commit
```

```
device add PhysicalNode compute2 192.168.200.16
set mac 44:38:39:22:AA:06
commit
```

```
add genericdevice ubuntu0 192.168.200.14
set mac 44:38:39:22:AA:01
commit
```

### NOTE : After starting lab simulation, if compute nodes do not come up, please RESET compute node VMs from AIR interface, under "Actions" dropdown.

<!-- AIR:page -->



### Connecting to BCM base-view web console
BCM web console serves from default TCP port 8081 via https. However in AIR environment, this port must be mapped to an external "service" and enabled from AIR simulation. And user will connect to worker_url and the tcp port number generated by AIR service:

![air_simulation](https://gitlab.com/cumulus-consulting/goldenturtle/cumulus-linux-workshop/bcm_air_poc/-/raw/main/air_simulation.png?ref_type=heads)  

```
https://<worker_url>:<tcp_port>/userportal  
https://<worker_url>:<tcp_port>/base-view  
```